Debian Bug report logs - #640499
libxvmc: please add multiarch support

version graph

Package: libxvmc; Maintainer for libxvmc is Debian X Strike Force <debian-x@lists.debian.org>;

Reported by: Andreas Beckmann <anbe@debian.org>

Date: Mon, 5 Sep 2011 10:45:02 UTC

Severity: important

Tags: patch

Found in versions 2:1.0.6-1, libxvmc/2:1.0.7-1

Fixed in version libxvmc/2:1.0.7-2

Done: Emilio Pozuelo Monfort <pochu@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#640499; Package libxvmc. (Mon, 05 Sep 2011 10:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 05 Sep 2011 10:45:16 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libxvmc: please add multiarch support
Date: Mon, 05 Sep 2011 12:40:20 +0200
[Message part 1 (text/plain, inline)]
Package: libxvmc
Version: 2:1.0.6-1
Severity: wishlist
Tags: patch

Please rebuild libxvmc with multiarch support.
Attached patch is modeled after the multiarch changes in libxv.
I'm not sure how to handle /etc/X11/XvMCConfig correctly, might have
to be moved to a separate package libxvmc-config?

Andreas

-- System Information:
Debian Release: 6.0.2
  APT prefers stable
  APT policy: (800, 'stable'), (700, 'testing'), (600, 'unstable'), (500, 'stable-updates'), (130, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/4 CPU cores)
Locale: LANG=C, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[0001-build-for-multiarch.patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#640499; Package libxvmc. (Sun, 20 May 2012 12:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ralf Jung <post@ralfj.de>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 20 May 2012 12:36:04 GMT) Full text and rfc822 format available.

Message #10 received at 640499@bugs.debian.org (full text, mbox):

From: Ralf Jung <post@ralfj.de>
To: 640499@bugs.debian.org
Subject: libxvmc: please add multiarch support
Date: Sun, 20 May 2012 14:33:14 +0200
Hi,

is there any progress on this? This package is blocking libgl1-nvidia-glx from 
being installable in a foreign architecture, thereby preventing a proper 
multiarch migration for systems using the proprietary nvidia driver.

Kind regards,
Ralf




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#640499; Package libxvmc. (Sun, 20 May 2012 13:27:56 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 20 May 2012 13:27:57 GMT) Full text and rfc822 format available.

Message #15 received at 640499@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Ralf Jung <post@ralfj.de>, 640499@bugs.debian.org
Subject: Re: Bug#640499: libxvmc: please add multiarch support
Date: Sun, 20 May 2012 15:25:37 +0200
[Message part 1 (text/plain, inline)]
Ralf Jung <post@ralfj.de> (20/05/2012):
> is there any progress on this? This package is blocking
> libgl1-nvidia-glx from being installable in a foreign architecture,
> thereby preventing a proper multiarch migration for systems using the
> proprietary nvidia driver.

It's a well-known fact the X Strike Force has way too much manpower, and
really enjoys stalling everything.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#640499; Package libxvmc. (Sun, 20 May 2012 16:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ralf Jung <post@ralfj.de>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 20 May 2012 16:39:06 GMT) Full text and rfc822 format available.

Message #20 received at 640499@bugs.debian.org (full text, mbox):

From: Ralf Jung <post@ralfj.de>
To: Cyril Brulebois <kibi@debian.org>
Cc: 640499@bugs.debian.org
Subject: Re: Bug#640499: libxvmc: please add multiarch support
Date: Sun, 20 May 2012 18:36:57 +0200
Hi,

> Ralf Jung <post@ralfj.de> (20/05/2012):
> > is there any progress on this? This package is blocking
> > libgl1-nvidia-glx from being installable in a foreign architecture,
> > thereby preventing a proper multiarch migration for systems using the
> > proprietary nvidia driver.
> 
> It's a well-known fact the X Strike Force has way too much manpower, and
> really enjoys stalling everything.
This was supposed to be just a small reminder/question, since multiarch took a 
lot more pace since the last activity on this bug. I did not mean to step on 
anyone's toes.

I applied the patch to the package sources and built it here for i386 and 
amd64, and I can confirm that it works, but something needs to be done about 
the config file. If there is anything I could do to help, please let me know - 
my packaging experience is rather limited though (my first package is still 
awaiting sponsoring, but I am using some more custom packages locally).

Kind regards,
Ralf




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#640499; Package libxvmc. (Mon, 18 Jun 2012 09:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastien NOEL <sebastien@twolife.be>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 18 Jun 2012 09:42:50 GMT) Full text and rfc822 format available.

Message #25 received at 640499@bugs.debian.org (full text, mbox):

From: Sebastien NOEL <sebastien@twolife.be>
To: Cyril Brulebois <kibi@debian.org>
Cc: Ralf Jung <post@ralfj.de>, <640499@bugs.debian.org>
Subject: Re: Bug#640499: libxvmc: please add multiarch support
Date: Mon, 18 Jun 2012 11:33:24 +0200
Le 2012-05-20 15:25, Cyril Brulebois a écrit :

> It's a well-known fact the X Strike Force has way too much manpower, 
> and
> really enjoys stalling everything.
>

it's also a well-known fact that being rude and agressive is perfectly 
normal
for DD from France...

"pete un coup, ça ira mieux apres"


for those who want to give it a try, i did the minimum work to convert
the package to multiarch, enjoy : http://twolife.be/debian/todo/xvmc/


Sébastien





Added indication that bug 640499 blocks 676723 Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Sun, 01 Jul 2012 10:03:42 GMT) Full text and rfc822 format available.

Removed tag(s) patch. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sun, 29 Jul 2012 11:51:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#640499; Package libxvmc. (Sun, 05 Aug 2012 13:39:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pedram Pourang <pedrampourang@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 05 Aug 2012 13:39:12 GMT) Full text and rfc822 format available.

Message #34 received at 640499@bugs.debian.org (full text, mbox):

From: Pedram Pourang <pedrampourang@gmail.com>
To: 640499@bugs.debian.org
Subject: libxvmc and multiarch
Date: Sun, 05 Aug 2012 18:08:17 +0430
I confirm that the current state of libxvmc1 prevents the installation
of libgl1-nvidia-glx:i386 from Experimental on a 64-bit sid and that
Cyril's patch resolves the issue.




Added tag(s) patch. Request was from Ralf Jung <post@ralfj.de> to control@bugs.debian.org. (Sun, 12 Aug 2012 23:03:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#640499; Package libxvmc. (Sun, 12 Aug 2012 23:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ralf Jung <post@ralfj.de>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 12 Aug 2012 23:09:03 GMT) Full text and rfc822 format available.

Message #41 received at 640499@bugs.debian.org (full text, mbox):

From: Ralf Jung <post@ralfj.de>
To: 640499@bugs.debian.org, control@bugs.debian.org
Subject: libxvmc: please add multiarch support [PATCH]
Date: Mon, 13 Aug 2012 01:00:55 +0200
[Message part 1 (text/plain, inline)]
tags 640499 + patch
thanks

Attached you can find a patch which moves the conffile into a separate 
package.
However, it seems the conffile problem is already in the archive: For example, 
libmap-modules is MA: same and has a conffile, showing the same problems as 
this package with just the path by Andreas Beckmann. So, maybe this is 
actually a bug in dpkg.

Kind regards,
Ralf
[build-for-multiarch--split-packages.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#640499; Package libxvmc. (Tue, 14 Aug 2012 09:39:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ralf Jung <post@ralfj.de>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Tue, 14 Aug 2012 09:39:08 GMT) Full text and rfc822 format available.

Message #46 received at 640499@bugs.debian.org (full text, mbox):

From: Ralf Jung <post@ralfj.de>
To: 640499@bugs.debian.org
Cc: Julien Cristau <jcristau@debian.org>
Subject: libxvmc: please add multiarch support
Date: Tue, 14 Aug 2012 11:35:21 +0200
As it turned out, the conffile issue is actually a bug in dpkg [1]. In theory 
(and once dpkg is fixed), it is perfectly fine to have a conffile in an MA: 
same package, as long as the content is the same for all architectures. Since 
the libxvmc wrapper uses dlopen, which uses the correct library paths, that's 
fine. So the original patch by Andreas Beckmann is actually correct.
Could someone please schedule an upload?

Kind regards,
Ralf


[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=684776



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#640499; Package libxvmc. (Fri, 17 Aug 2012 23:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 17 Aug 2012 23:15:03 GMT) Full text and rfc822 format available.

Message #51 received at 640499@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Ralf Jung <post@ralfj.de>
Cc: 640499@bugs.debian.org, Julien Cristau <jcristau@debian.org>
Subject: Re: libxvmc: please add multiarch support
Date: Sat, 18 Aug 2012 01:09:10 +0200
On Tuesday, 14. August 2012 11:35:21 Ralf Jung wrote:
> As it turned out, the conffile issue is actually a bug in dpkg [1]. In
> theory (and once dpkg is fixed), it is perfectly fine to have a conffile in
> an MA: same package, as long as the content is the same for all
> architectures.

Have the upgrade and install paths paths of this scenario been tested? And the 
case of locally modified/removed config files?

I'll take libfoo as an example package that ships /etc/foo.conf

apt-get install libfoo:arch1
modify-or-delete /etc/foo.conf
apt-get install libfoo:arch2

# libfoo=1 is available
apt-get install libfoo:arch1=1 libfoo:arch2=1
modify-or-delete /etc/foo.conf
apt-get update # makes libfoo=2 available
# libfoo=2 comes with a modified foo.conf
apt-get dist-upgrade

# libfoo=1 is available
apt-get install libfoo:arch1=1 libfoo:arch2=1
apt-get update # makes libfoo=2 available
# libfoo=2 uses dpkg-maintscript-helper to get rid of foo.conf
apt-get dist-upgrade

Just curious ...

Andreas



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#640499; Package libxvmc. (Sat, 18 Aug 2012 02:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adam Borowski <kilobyte@angband.pl>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 18 Aug 2012 02:51:03 GMT) Full text and rfc822 format available.

Message #56 received at 640499@bugs.debian.org (full text, mbox):

From: Adam Borowski <kilobyte@angband.pl>
To: 640499@bugs.debian.org
Subject: hardening, too
Date: Sat, 18 Aug 2012 04:15:39 +0200
[Message part 1 (text/plain, inline)]
Hi!

I just got bit by the lack of multiarch here (wine is broken on amd64 if
nvidia is involved), and wrote a multiarchification patch before realizing
there's already one here.  It's redundant, except for one bit: since an
upload is needed anyway, you could just as well add the hardening flags
(another release goal).  It's a trivial change, but "git am" is still faster
than doing that yourself...

(attached)

-- 
Copyright and patents were never about promoting culture and innovations;
from the very start they were legalized bribes to give the king some income
and to let businesses get rid of competition.  For some history, please read
https://en.wikipedia.org/wiki/Statute_of_Monopolies_1623
[0001-Enable-hardening-flags.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#640499; Package libxvmc. (Sat, 18 Aug 2012 08:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ralf Jung <post@ralfj.de>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 18 Aug 2012 08:39:03 GMT) Full text and rfc822 format available.

Message #61 received at 640499@bugs.debian.org (full text, mbox):

From: Ralf Jung <post@ralfj.de>
To: Andreas Beckmann <debian@abeckmann.de>
Cc: 640499@bugs.debian.org
Subject: Re: libxvmc: please add multiarch support
Date: Sat, 18 Aug 2012 10:37:14 +0200
Hi,

> Have the upgrade and install paths paths of this scenario been tested? And the 
> case of locally modified/removed config files?
> 
> I'll take libfoo as an example package that ships /etc/foo.conf
> 
[snip]
> 
> Just curious ...
Whatever happens here is not specific to libxvmc - see libpam-modules as
another example for an MA: same package shipping a conffile. As long as
the conffile shipped in the packages is the same across all
architectures, there should be nothing to worry about (besides dpkg
bugs, of course).
If you meant this as general question, not specific for libxvmc, then
asking at http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=684776 might
give you a better chance of someone knowing he answer ;-) (esp. if you
put Guillem in CC).

Kind regards,
Ralf



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#640499; Package libxvmc. (Sat, 18 Aug 2012 11:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 18 Aug 2012 11:09:03 GMT) Full text and rfc822 format available.

Message #66 received at 640499@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Adam Borowski <kilobyte@angband.pl>, 640499@bugs.debian.org
Cc: debian-release@lists.debian.org
Subject: Re: Bug#640499: hardening, too
Date: Sat, 18 Aug 2012 13:04:42 +0200
[Message part 1 (text/plain, inline)]
Hi Adam,

Adam Borowski <kilobyte@angband.pl> (18/08/2012):
> I just got bit by the lack of multiarch here (wine is broken on amd64
> if nvidia is involved), and wrote a multiarchification patch before
> realizing there's already one here.  It's redundant, except for one
> bit: since an upload is needed anyway

given the intrusiveness of that patch [libxvmc/multiarch], I'm pretty
sure it's going to be considered too late in the release cycle. I'm
also pretty sure that we (release team) said that already for similar
packages.

[cc: release team for other opinions.]

> you could just as well add the hardening flags (another release goal).
> It's a trivial change, but "git am" is still faster than doing that
> yourself...

Thanks, but please note that requesting unrelated features in a given
bug report isn't too nice.

BTW, you call it trivial but you lost -Wall…

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#640499; Package libxvmc. (Sat, 18 Aug 2012 13:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adam Borowski <kilobyte@angband.pl>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 18 Aug 2012 13:54:04 GMT) Full text and rfc822 format available.

Message #71 received at 640499@bugs.debian.org (full text, mbox):

From: Adam Borowski <kilobyte@angband.pl>
To: 640499@bugs.debian.org
Cc: debian-release@lists.debian.org
Subject: Re: Bug#640499: hardening, too
Date: Sat, 18 Aug 2012 15:52:47 +0200
On Sat, Aug 18, 2012 at 01:04:42PM +0200, Cyril Brulebois wrote:
> Adam Borowski <kilobyte@angband.pl> (18/08/2012):
> > I just got bit by the lack of multiarch here (wine is broken on amd64
> > if nvidia is involved), and wrote a multiarchification patch before
> > realizing there's already one here.  It's redundant, except for one
> > bit: since an upload is needed anyway
> 
> given the intrusiveness of that patch [libxvmc/multiarch], I'm pretty
> sure it's going to be considered too late in the release cycle. I'm
> also pretty sure that we (release team) said that already for similar
> packages.

It stops a prominent package [wine] from working for a good part of users,
so that's quite a motivation.  It's your package, your call, of course.

> [cc: release team for other opinions.]

And theirs.

> > you could just as well add the hardening flags (another release goal).
> > It's a trivial change, but "git am" is still faster than doing that
> > yourself...
> 
> Thanks, but please note that requesting unrelated features in a given
> bug report isn't too nice.

I wanted to have them in one place, as both are release goals.

> BTW, you call it trivial but you lost -Wall…

Good point, that's not a case where hardening is really important too...
so scratch this part.



> Mraw,
Hell yeah, mraw!
> KiBi.
1KB (the real pre-committee 1024 :p).

-- 
Copyright and patents were never about promoting culture and innovations;
from the very start they were legalized bribes to give the king some income
and to let businesses get rid of competition.  For some history, please read
https://en.wikipedia.org/wiki/Statute_of_Monopolies_1623



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#640499; Package libxvmc. (Sat, 08 Sep 2012 10:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guy Roussin <guy.roussin@teledetection.fr>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 08 Sep 2012 10:21:03 GMT) Full text and rfc822 format available.

Message #76 received at 640499@bugs.debian.org (full text, mbox):

From: Guy Roussin <guy.roussin@teledetection.fr>
To: 640499@bugs.debian.org
Subject: Re: Bug#640499: hardening, too
Date: Sat, 08 Sep 2012 11:59:42 +0200
Hi,

This bug prevents me to run googleearth, wine, teamviewer, ...
on my debian sid/experimental amd64/nvidia since a month.

Is there some guideline somewhere to install the package
with Cyril or Ralph patch ?

Thank you,

Guy




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#640499; Package libxvmc. (Sat, 08 Sep 2012 10:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ralf Jung <post@ralfj.de>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 08 Sep 2012 10:45:05 GMT) Full text and rfc822 format available.

Message #81 received at 640499@bugs.debian.org (full text, mbox):

From: Ralf Jung <post@ralfj.de>
To: Guy Roussin <guy.roussin@teledetection.fr>, 640499@bugs.debian.org
Subject: Re: Bug#640499: hardening, too
Date: Sat, 08 Sep 2012 12:43:44 +0200
Hi,

> This bug prevents me to run googleearth, wine, teamviewer, ...
> on my debian sid/experimental amd64/nvidia since a month.
> 
> Is there some guideline somewhere to install the package
> with Cyril or Ralph patch ?
You should not use my patch, it only unnecessarily complicates things by
splitting the package. The original patch by Andreas is fine, it's just
waiting for someone to apply it.

I compiled the packages with that patch and use them successfully for a
month now, you can find them at http://www.ralfj.de/upload/debian/ - but
use them at your own risk only!

Kind regards,
Ralf



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#640499; Package libxvmc. (Sat, 08 Sep 2012 12:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guy Roussin <guy.roussin@teledetection.fr>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 08 Sep 2012 12:57:03 GMT) Full text and rfc822 format available.

Message #86 received at 640499@bugs.debian.org (full text, mbox):

From: Guy Roussin <guy.roussin@teledetection.fr>
Cc: 640499@bugs.debian.org
Subject: Re: Bug#640499: hardening, too
Date: Sat, 08 Sep 2012 14:53:48 +0200
Thank you Ralph, you make my day !
wine, teamviewer7, google-earth are fine now
(even if there are dependency errors in those
proprietary packages...).

Guy

Le 08/09/2012 12:43, Ralf Jung a écrit :
> Hi,
> 
>> This bug prevents me to run googleearth, wine, teamviewer, ...
>> on my debian sid/experimental amd64/nvidia since a month.
>>
>> Is there some guideline somewhere to install the package
>> with Cyril or Ralph patch ?
> You should not use my patch, it only unnecessarily complicates things by
> splitting the package. The original patch by Andreas is fine, it's just
> waiting for someone to apply it.
> 
> I compiled the packages with that patch and use them successfully for a
> month now, you can find them at http://www.ralfj.de/upload/debian/ - but
> use them at your own risk only!
> 
> Kind regards,
> Ralf




Added indication that bug 640499 blocks 686033 Request was from Andreas Beckmann <debian@abeckmann.de> to 686033-submit@bugs.debian.org. (Sun, 09 Sep 2012 02:33:04 GMT) Full text and rfc822 format available.

Added indication that bug 640499 blocks 685054 Request was from Andreas Beckmann <debian@abeckmann.de> to 685054-submit@bugs.debian.org. (Sun, 09 Sep 2012 03:06:06 GMT) Full text and rfc822 format available.

Added indication that 640499 affects libgl1-nvidia-glx Request was from Andreas Beckmann <debian@abeckmann.de> to 685054-submit@bugs.debian.org. (Sun, 09 Sep 2012 03:06:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#640499; Package libxvmc. (Sun, 16 Sep 2012 09:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Maxime Lombard <berillions@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 16 Sep 2012 09:39:06 GMT) Full text and rfc822 format available.

Message #97 received at 640499@bugs.debian.org (full text, mbox):

From: Maxime Lombard <berillions@gmail.com>
To: 640499@bugs.debian.org
Subject: Re: Bug#640499: libxvmc: please add multiarch support
Date: Sun, 16 Sep 2012 11:37:41 +0200
[Message part 1 (text/plain, inline)]
Hi,

Just a question, this bug will be resolved for the Wheezy release ?
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#640499; Package libxvmc. (Sun, 16 Sep 2012 09:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 16 Sep 2012 09:54:03 GMT) Full text and rfc822 format available.

Message #102 received at 640499@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Maxime Lombard <berillions@gmail.com>, 640499@bugs.debian.org
Subject: Re: Bug#640499: libxvmc: please add multiarch support
Date: Sun, 16 Sep 2012 11:50:55 +0200
[Message part 1 (text/plain, inline)]
On Sun, Sep 16, 2012 at 11:37:41 +0200, Maxime Lombard wrote:

> Hi,
> 
> Just a question, this bug will be resolved for the Wheezy release ?

I don't think so.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#640499; Package libxvmc. (Sun, 16 Sep 2012 10:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Maxime Lombard <berillions@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 16 Sep 2012 10:09:03 GMT) Full text and rfc822 format available.

Message #107 received at 640499@bugs.debian.org (full text, mbox):

From: Maxime Lombard <berillions@gmail.com>
To: Julien Cristau <jcristau@debian.org>
Cc: 640499@bugs.debian.org
Subject: Re: Bug#640499: libxvmc: please add multiarch support
Date: Sun, 16 Sep 2012 12:04:33 +0200
[Message part 1 (text/plain, inline)]
Strange, because this bug affect Testing 64Bits and Nvidia drivers and
others apps like Wine, GoogleEarth etc...
[Message part 2 (text/html, inline)]

Severity set to 'important' from 'wishlist' Request was from Erich Schubert <erich@debian.org> to control@bugs.debian.org. (Tue, 18 Sep 2012 09:03:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#640499; Package libxvmc. (Wed, 19 Sep 2012 11:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ralf Jung <post@ralfj.de>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 19 Sep 2012 11:00:02 GMT) Full text and rfc822 format available.

Message #114 received at 640499@bugs.debian.org (full text, mbox):

From: Ralf Jung <post@ralfj.de>
To: 640499@bugs.debian.org
Cc: Julien Cristau <jcristau@debian.org>
Subject: Re: Bug#640499: libxvmc: please add multiarch support
Date: Wed, 19 Sep 2012 12:56:23 +0200
Hi,

>> Just a question, this bug will be resolved for the Wheezy release ?
> 
> I don't think so.
Why that?
This would effectively mean broken OpenGL for i386 apps on systems using
the proprietary NVidia driver. The patch from the original report is
simple and working on several people's systems. The dpkg issues are
unrelated and apply to other packages as well. At least an upload to Sid
with that patch applied would be appropriate IMHO, then the release team
can decide whether they want it in Wheezy or not. Or is there a problem
with the patch itself, preventing the bug from being fixed in Sid?

Kind regards,
Ralf



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#640499; Package libxvmc. (Wed, 19 Sep 2012 18:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 19 Sep 2012 18:24:03 GMT) Full text and rfc822 format available.

Message #119 received at 640499@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Ralf Jung <post@ralfj.de>, 640499@bugs.debian.org
Subject: Re: Bug#640499: libxvmc: please add multiarch support
Date: Wed, 19 Sep 2012 20:20:40 +0200
[Message part 1 (text/plain, inline)]
On Wed, Sep 19, 2012 at 12:56:23 +0200, Ralf Jung wrote:

> Hi,
> 
> >> Just a question, this bug will be resolved for the Wheezy release ?
> > 
> > I don't think so.
> Why that?
> This would effectively mean broken OpenGL for i386 apps on systems using
> the proprietary NVidia driver. The patch from the original report is
> simple and working on several people's systems. The dpkg issues are
> unrelated and apply to other packages as well. At least an upload to Sid
> with that patch applied would be appropriate IMHO, then the release team
> can decide whether they want it in Wheezy or not. Or is there a problem
> with the patch itself, preventing the bug from being fixed in Sid?
> 
Because if there's two things in the world I don't care about it's wine
and the nvidia driver.  So I won't spend any of my free time trying to
unbreak them when I've got more important things to do.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#640499; Package libxvmc. (Wed, 19 Sep 2012 18:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ralf Jung <post@ralfj.de>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 19 Sep 2012 18:42:03 GMT) Full text and rfc822 format available.

Message #124 received at 640499@bugs.debian.org (full text, mbox):

From: Ralf Jung <post@ralfj.de>
To: Julien Cristau <jcristau@debian.org>
Cc: 640499@bugs.debian.org
Subject: Re: Bug#640499: libxvmc: please add multiarch support
Date: Wed, 19 Sep 2012 20:39:11 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi,

>>> I don't think so.
>> Why that? This would effectively mean broken OpenGL for i386 apps
>>  on systems using the proprietary NVidia driver. The patch from
>> the original report is simple and working on several people's
>> systems. The dpkg issues are unrelated and apply to other
>> packages as well. At least an upload to Sid with that patch
>> applied would be appropriate IMHO, then the release team can
>> decide whether they want it in Wheezy or not. Or is there a
>> problem with the patch itself, preventing the bug from being
>> fixed in Sid?
> Because if there's two things in the world I don't care about it's
>  wine and the nvidia driver.  So I won't spend any of my free time
>  trying to unbreak them when I've got more important things to do.
This is not just about wine, there are other 32bit-only apps requiring
OpenGL. Google Earth has been mentioned.
Is there any way I could help, for example, by preparing a NMU and
uploading it to mentors.d.o? I'm not a DD though.

Kind regards,
Ralf
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://www.enigmail.net/

iQEcBAEBAgAGBQJQWhFJAAoJEEAdTZ0mjB1WZywH/2a4+VCJ/G6cRo2D7zy5jB1b
ulMMknfAs9A5gvp4pzTHJ4o4TK2lOm23aeqvRSv2g+ptGp8dSVnQGxqZ6OAVVTeE
vTMwMcKZqWGLiLom+7ijuEYEzynXYoJNqi4PgeoJ4dw6F1LpGbRPhXxnTOPP+mCR
/RZMHIFfjHbaaAAL/y4dYhO/E+fxSiwhD+chKsMTbxKNkmH2tTgEBHtbrWeVsZGF
cKfb/2qZyIGfY2g6DXg5Zo5S6gsUl+7ZgaQkoJHrJyOdh7DFk3svB9URcTQX2vet
bkYzp9675+E79HnrQPWMeHnwMLqE4vhruStUcr/YOGcWWqJbEb1hSY5MlgE8k1o=
=2PjT
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#640499; Package libxvmc. (Sat, 22 Sep 2012 00:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Craig Sanders <cas@taz.net.au>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 22 Sep 2012 00:45:03 GMT) Full text and rfc822 format available.

Message #129 received at 640499@bugs.debian.org (full text, mbox):

From: Craig Sanders <cas@taz.net.au>
To: 640499@bugs.debian.org
Subject: Re: Bug#640499: libxvmc: please add multiarch support
Date: Sat, 22 Sep 2012 10:34:05 +1000
> > Because if there's two things in the world I don't care about it's
> > wine and the nvidia driver.  So I won't spend any of my free time
> > trying to unbreak them when I've got more important things to do.
>
> This is not just about wine, there are other 32bit-only apps requiring
> OpenGL. Google Earth has been mentioned.

32-bit Second-Life viewers are also affected, including the only one with
good mesh upload support(*), Firestorm.

Firestorm is LGPL - like most SL viewers, it is based on Linden Labs
open source release of their viewer code.


BTW, i can confirm that Sebastien Noel's multiarch libxvmc1 packages at
http://twolife.be/debian/todo/xvmc/ solve the problem, and allowed me to
install libgl1-nvidia-glx:i386.


(*) I don't use SL at all, personally, so I'm just passing on what i've
been told by my partner who is an avid SL creator.  After I upgraded
to nvidia 304.48-1 last weekend, it broke the Linux 32-bit Firestorm
SL viewer (there is no 64 bit version).  I installed the latest 64-bit
"Singularity" SL-viewer for her but it can't do the mesh uploads she
needs, it's apparently better suited for SL users rather than SL
creators.

craig

-- 
craig sanders <cas@taz.net.au>



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#640499; Package libxvmc. (Sat, 22 Sep 2012 16:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Maxime Lombard <berillions@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 22 Sep 2012 16:33:08 GMT) Full text and rfc822 format available.

Message #134 received at 640499@bugs.debian.org (full text, mbox):

From: Maxime Lombard <berillions@gmail.com>
To: jcristau@debian.org
Cc: 640499@bugs.debian.org
Subject: Re: Bug#640499: libxvmc: please add multiarch support
Date: Sat, 22 Sep 2012 18:31:46 +0200
[Message part 1 (text/plain, inline)]
> Because if there's two things in the world I don't care about it's wine
> and the nvidia driver.  So I won't spend any of my free time trying to
> unbreak them when I've got more important things to do.
>
> Ok, you are more important things to do but this bug concern your package.
Like i said (and others persons too), this bug is present in Testing so if
it's not resolved, there will be a important/critical bug in the future
Stable. More people install the nvidia driver to play with wine or to use
3D apps... If this bug persist in Wheezy, it will be apocalytic. :p
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#640499; Package libxvmc. (Mon, 24 Sep 2012 09:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sébastien NOEL <sebastien@twolife.be>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 24 Sep 2012 09:48:03 GMT) Full text and rfc822 format available.

Message #139 received at 640499@bugs.debian.org (full text, mbox):

From: Sébastien NOEL <sebastien@twolife.be>
To: Julien Cristau <jcristau@debian.org>
Cc: <640499@bugs.debian.org>
Subject: Re: Bug#640499: libxvmc: please add multiarch support
Date: Mon, 24 Sep 2012 11:36:29 +0200
On Wed, 19 Sep 2012 20:20:40 +0200
Julien Cristau <jcristau@debian.org> wrote:

> On Wed, Sep 19, 2012 at 12:56:23 +0200, Ralf Jung wrote:
> > Why that?
> > This would effectively mean broken OpenGL for i386 apps on systems
> > using the proprietary NVidia driver. The patch from the original
> > report is simple and working on several people's systems. The dpkg
> > issues are unrelated and apply to other packages as well. At least
> > an upload to Sid with that patch applied would be appropriate IMHO,
> > then the release team can decide whether they want it in Wheezy or
> > not. Or is there a problem with the patch itself, preventing the
> > bug from being fixed in Sid?
> >
> Because if there's two things in the world I don't care about it's
> wine and the nvidia driver.  So I won't spend any of my free time
> trying to unbreak them when I've got more important things to do.


do you care about release goals ? you know that multiarch is one of
them, right ?

do you care about the social contract ? you know, that little
sentence "Our priorities are our users"...

you don't care about wine & the nvidia driver ?
Fine. Like it or not, but it's not about wine or the nvidia drivers.
This bug is about multiarch and we -the users- are just asking for 
that.
And it doesn't require you to work on it, patches have
already been written and posted in this bug report


> Cheers,
> Julien

Regards,

Sebastien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#640499; Package libxvmc. (Mon, 24 Sep 2012 20:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicolas Le Cam <niko.lecam@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 24 Sep 2012 20:12:06 GMT) Full text and rfc822 format available.

Message #144 received at 640499@bugs.debian.org (full text, mbox):

From: Nicolas Le Cam <niko.lecam@gmail.com>
To: 640499@bugs.debian.org
Subject: Re: Bug#640499: libxvmc: please add multiarch support
Date: Mon, 24 Sep 2012 22:09:49 +0200
Dear Maintainer,

Now that latest 304.43-1 nvidia binary drivers have been migrated to
testing, it is adverted to switch from *nvidia*-ia32 packages to
multiarch ones using :

dpkg --add-architecture i386
apt-get update
apt-get install libgl1-nvidia-glx:i386
apt-get install nvidia-vdpau-driver:i386
apt-get install libcuda1:i386
apt-get install nvidia-opencl-icd:i386

Unfortunately this bug is blocking the first install command.

sudo apt-get install libgl1-nvidia-glx:i386
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 libgl1-nvidia-glx:i386 : Depends: libxvmc1:i386 but it is not going
to be installed
E: Unable to correct problems, you have held broken packages.

-- 
Nicolas Le Cam



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#640499; Package libxvmc. (Mon, 24 Sep 2012 20:30:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 24 Sep 2012 20:30:08 GMT) Full text and rfc822 format available.

Message #149 received at 640499@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Nicolas Le Cam <niko.lecam@gmail.com>, 640499@bugs.debian.org
Subject: Re: Bug#640499: libxvmc: please add multiarch support
Date: Mon, 24 Sep 2012 22:26:01 +0200
[Message part 1 (text/plain, inline)]
Nicolas Le Cam <niko.lecam@gmail.com> (24/09/2012):
> Now that latest 304.43-1 nvidia binary drivers have been migrated to
> testing, it is adverted to switch from *nvidia*-ia32 packages to
> multiarch ones using : […]

File a bug against that documentation then.

It'd been repeated several times already: it is too late for such
large changes as far as wheezy is concerned. Both maintainers and
release managers said that.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#640499; Package libxvmc. (Wed, 26 Sep 2012 12:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 26 Sep 2012 12:57:03 GMT) Full text and rfc822 format available.

Message #154 received at 640499@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: 640499@bugs.debian.org, 688861@bugs.debian.org
Subject: Re: Bug#688861: freeze exception: libxvmc/1.0.7-1.1 - adding a libxvmc1-i386:i386 package
Date: Wed, 26 Sep 2012 14:53:32 +0200
In case anyone is interested in a .dsc:

http://mentors.debian.net/debian/pool/main/libx/libxvmc/libxvmc_1.0.7-1.1.dsc

Andreas



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#640499; Package libxvmc. (Wed, 26 Sep 2012 13:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 26 Sep 2012 13:15:03 GMT) Full text and rfc822 format available.

Message #159 received at 640499@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: 640499@bugs.debian.org
Subject: Fwd: Bug#688861: freeze exception: libxvmc/1.0.7-1.1 - adding a libxvmc1-i386:i386 package
Date: Wed, 26 Sep 2012 15:12:09 +0200
[Message part 1 (text/plain, inline)]
manually forwarding to #640499 as the BTS does not seem to handle
X-DebBugs-Cc: n@b.d.o properly

-------- Original Message --------
Subject: Bug#688861: freeze exception: libxvmc/1.0.7-1.1 - adding a
libxvmc1-i386:i386 package
Resent-Date: Wed, 26 Sep 2012 12:09:06 +0000
Resent-From: Andreas Beckmann <debian@abeckmann.de>
Resent-To: debian-bugs-dist@lists.debian.org
Resent-CC: 640499@bugs.debian.org,
pkg-nvidia-devel@lists.alioth.debian.org, Debian Release Team
<debian-release@lists.debian.org>
Date: Wed, 26 Sep 2012 14:06:33 +0200
From: Andreas Beckmann <debian@abeckmann.de>
Reply-To: Andreas Beckmann <debian@abeckmann.de>, 688861@bugs.debian.org
To: Debian Bug Tracking System <submit@bugs.debian.org>

Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: unblock

Please approve the following changes for package libxvmc

As we are not going to get libxvmc turned to multi-arch for wheezy (see
#640499) I'm now trying another approach with minimal changes to the
libxvmc package:

Can we add a new package

	Package: libxvmc1-i386
	Section: libs
	Priority: extra
	Architecture: i386
	Multi-arch: same
	Pre-Depends: ${misc:Pre-Depends}
	Depends: ${shlibs:Depends}, ${misc:Depends}, x11-common
	Description: X11 Video extension library (alternate i386 package)

that ships another copy of the libraries in /usr/lib/i386-linux-gnu/
To avoid installing libxvmc1-i386:i386 and libxvmc1:i386 at the same
time and have two copies of the same library available, I'm adding

	Package: libxvmc1
	Conflicts: libxvmc1-i386 [i386]

and to avoid picking up a dependency on libxvmc1-i386 by accident, its
shlibs file points to libxvmc1.

I added a lintian-overrides file, but that is not being installed as I
wanted to avoid changing anything in debian/rules.

Note that this new package does not ship the conffile as it is expected
to be only installed along libxvmc1:amd64 which comes with the conffile.
(This dependency can't be expressed by package relationships.)

This will keep the existing non-multiarch libxvmc1 unchanged, the build
system is untouched, nothing will start to use the alternate copy
package accidently. For libgl1-nvidia-glx:i386 to actually pick up this
alternate library, we need to add a shlibs.local file (in
nvidia-graphics-drivers) with
	
	libXvMC 1 libxvmc1 | libxvmc1-i386 [i386]

I chose to add the extra package to the libxvmc source package as that
will avoid forking (and therefore code duplication) and getting libxvmc1
and libxvmc1-i386 out of sync. Even with a second copy in the a binary
package in the archive, there is no overhead in case a security update
for libxvmc should be neccessary.

Judging by the number of bug reports, it is really important for our
users to restore the ability to run 32-bit OpenGL applications on a
amd64 system and get accelleration by the non-free nvidia driver.
That was working in squeeze and will be considered as a serious
regression if this is not getting fixed in some way for wheezy.
See e.g. #685054, #686033, #676723, #688714

I'll be happy to assist getting a proper multi-arch libxvmc into jessie
and to clean up this temporary package that we need for wheezy.


Andreas

[libxvmc_1.0.7-1.1.dscdiff (text/x-diff, attachment)]
[Attached Message Part (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#640499; Package libxvmc. (Fri, 28 Sep 2012 13:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Maxime Lombard <berillions@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 28 Sep 2012 13:03:03 GMT) Full text and rfc822 format available.

Message #164 received at 640499@bugs.debian.org (full text, mbox):

From: Maxime Lombard <berillions@gmail.com>
To: 640499@bugs.debian.org
Cc: debian@abeckmann.de
Subject: Re: Bug#640499: libxvmc: please add multiarch support
Date: Fri, 28 Sep 2012 15:01:35 +0200
[Message part 1 (text/plain, inline)]
Hi Andreas,

Thanks to help us. :)

But i have a question about your alternate package (libxvmc1-i386). If you
can't upload your package in Wheezy before the release, why the problem
will be release for the new Debian Stable ? Thanks to wheezy-backports,
others ?

Cheers,
Max
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#640499; Package libxvmc. (Mon, 15 Oct 2012 19:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hussain AlMutawa <hussain.ali.almutawa@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 15 Oct 2012 19:15:03 GMT) Full text and rfc822 format available.

Message #169 received at 640499@bugs.debian.org (full text, mbox):

From: Hussain AlMutawa <hussain.ali.almutawa@gmail.com>
To: 640499@bugs.debian.org
Subject: libxvmc: please add multiarch support
Date: Mon, 15 Oct 2012 22:13:26 +0300
Hi,

Just reporting. I am using the proprietary nvidia driver on debian
sid. Androids Emulator requires the 32 bit version of openGL. Which
can not be installed because of this bug.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#640499; Package libxvmc. (Mon, 15 Oct 2012 20:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 15 Oct 2012 20:15:06 GMT) Full text and rfc822 format available.

Message #174 received at 640499@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Hussain AlMutawa <hussain.ali.almutawa@gmail.com>, 640499@bugs.debian.org
Subject: Re: Bug#640499: libxvmc: please add multiarch support
Date: Mon, 15 Oct 2012 22:14:26 +0200
On 2012-10-15 21:13, Hussain AlMutawa wrote:
> Hi,
> 
> Just reporting. I am using the proprietary nvidia driver on debian
> sid. Androids Emulator requires the 32 bit version of openGL. Which
> can not be installed because of this bug.

use the nvidia driver packages from unstable which has a workaround

Andreas



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#640499; Package libxvmc. (Wed, 17 Oct 2012 00:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Helmar Schütz" <helmar.schuetz@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 17 Oct 2012 00:33:03 GMT) Full text and rfc822 format available.

Message #179 received at 640499@bugs.debian.org (full text, mbox):

From: "Helmar Schütz" <helmar.schuetz@googlemail.com>
To: 640499@bugs.debian.org
Subject: libxvmc: please add multiarch support
Date: Wed, 17 Oct 2012 02:29:36 +0200
Hi,

either the patch by op didn't work for me or I did something wrong. I 
need the i386 package to run games on playonlinux via wine and other 
programs.

Is there any way I can get this to work? Or would it be possible to add 
multiarch support for this package, since it is really important to 
anybody who wants to play games.

Helmar



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#640499; Package libxvmc. (Wed, 31 Oct 2012 16:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to lee <lee@yun.yagibdah.de>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 31 Oct 2012 16:24:03 GMT) Full text and rfc822 format available.

Message #184 received at 640499@bugs.debian.org (full text, mbox):

From: lee <lee@yun.yagibdah.de>
To: Debian Bug Tracking System <640499@bugs.debian.org>
Subject: Re: libxvmc: please add multiarch support
Date: Wed, 31 Oct 2012 16:40:27 +0100
Package: libxvmc1
Version: 2:1.0.7-1
Followup-For: Bug #640499

Dear Maintainer,
*** Please consider answering these questions, where appropriate ***

libxvmc1 cannot be installed together with libxvmc1:i386 in
brokenarch.


*** End of the template - remove these lines ***


-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.2.0-3-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_GB.utf8, LC_CTYPE=en_GB.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libxvmc1 depends on:
ii  libc6       2.13-35
ii  libx11-6    2:1.5.0-1
ii  libxext6    2:1.3.1-2
ii  libxv1      2:1.0.7-1
ii  x11-common  1:7.7+1

libxvmc1 recommends no packages.

libxvmc1 suggests no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#640499; Package libxvmc. (Thu, 06 Dec 2012 19:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carlos Alberto Lopez Perez <clopez@igalia.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 06 Dec 2012 19:39:03 GMT) Full text and rfc822 format available.

Message #189 received at 640499@bugs.debian.org (full text, mbox):

From: Carlos Alberto Lopez Perez <clopez@igalia.com>
To: 640499@bugs.debian.org
Subject: libxvmc: please add multiarch support
Date: Thu, 06 Dec 2012 20:36:25 +0100
[Message part 1 (text/plain, inline)]
I can confirm this issue.

$ uname -m
x86_64

$ sudo aptitude install libxvmc1:i386
The following NEW packages will be installed:
  libxvmc1:i386{b} 
0 packages upgraded, 1 newly installed, 0 to remove and 8 not upgraded.
Need to get 24,0 kB of archives. After unpacking 76,8 kB will be used.
The following packages have unmet dependencies:
 libxvmc1 : Conflicts: libxvmc1:i386 but 2:1.0.7-1 is to be installed.
 libxvmc1:i386 : Conflicts: libxvmc1 but 2:1.0.7-1 is installed.
The following actions will resolve these dependencies:

      Remove the following packages:                        
1)      libgl1-nvidia-glx                                   
2)      libxine2-x                                          
3)      libxvmc-dev                                         
4)      libxvmc1                                            
5)      nvidia-glx                                          
6)      xine-ui                                             
7)      xorg-dev                                            
8)      xserver-xorg-video-all                              
9)      xserver-xorg-video-intel                            
10)     xserver-xorg-video-nvidia                           
11)     xserver-xorg-video-openchrome                       

      Leave the following dependencies unresolved:          
12)     nvidia-xconfig recommends libgl1-nvidia-glx-any     
13)     nvidia-settings recommends libgl1-nvidia-glx        
14)     nvidia-kernel-dkms recommends nvidia-glx (>= 304.48)



This is preventing me to install the nvidia-glx 386 libraries on my system.


BTW, i also can confirm that Sebastien Noel's multiarch libxvmc1 packages at
http://twolife.be/debian/todo/xvmc/ solve the problem, and allowed me to
install libgl1-nvidia-glx:i386.



Is a ReleaseGoal for Wheezy to have MultiArch support 
http://wiki.debian.org/ReleaseGoals/MultiArch


Shouldn't this bug be marked as RC ?


This bug is also preventing #640499 (wich is RC) to be fixed


Please _maintainers_: just upload the damn fix!

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#640499; Package libxvmc. (Thu, 06 Dec 2012 22:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 06 Dec 2012 22:00:04 GMT) Full text and rfc822 format available.

Message #194 received at 640499@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Carlos Alberto Lopez Perez <clopez@igalia.com>, 640499@bugs.debian.org
Subject: Re: Bug#640499: libxvmc: please add multiarch support
Date: Thu, 6 Dec 2012 22:57:08 +0100
[Message part 1 (text/plain, inline)]
On Thu, Dec  6, 2012 at 20:36:25 +0100, Carlos Alberto Lopez Perez wrote:

> Shouldn't this bug be marked as RC ?
> 
No.

> Please _maintainers_: just upload the damn fix!
> 
https://lists.debian.org/debian-devel-announce/2012/06/msg00009.html

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#640499; Package libxvmc. (Thu, 06 Dec 2012 23:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carlos Alberto Lopez Perez <clopez@igalia.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 06 Dec 2012 23:48:03 GMT) Full text and rfc822 format available.

Message #199 received at 640499@bugs.debian.org (full text, mbox):

From: Carlos Alberto Lopez Perez <clopez@igalia.com>
To: Julien Cristau <jcristau@debian.org>
Cc: 640499@bugs.debian.org
Subject: Re: Bug#640499: libxvmc: please add multiarch support
Date: Fri, 07 Dec 2012 00:43:55 +0100
[Message part 1 (text/plain, inline)]
On 06/12/12 22:57, Julien Cristau wrote:
> On Thu, Dec  6, 2012 at 20:36:25 +0100, Carlos Alberto Lopez Perez wrote:
> 
>> Shouldn't this bug be marked as RC ?
>>
> No.
> 
>> Please _maintainers_: just upload the damn fix!
>>
> https://lists.debian.org/debian-devel-announce/2012/06/msg00009.html
> 
> Cheers,
> Julien

http://release.debian.org/wheezy/freeze_policy.html

Wheezy Freeze Policy -- let's release!
Changes which can be considered

There are some packages we know we won't approve. So as not to have everyone contact us at once about such packages, here are the guidelines for changes that will be accepting into testing during the freeze:

    1. fixes for release critical bugs (i.e., bugs of severity critical, grave, and serious) in all packages;
    2. changes for release goals, if they are not invasive;

[...]
-----

MultiArch support is a release goal, and the fix for this bug is clearly not invasive nor big:


$ curl -s 'http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=5;filename=0001-build-for-multiarch.patch;att=1;bug=640499' | diffstat
 changelog           |    1 +
 control             |    5 ++++-
 libxvmc-dev.install |   10 +++++-----
 libxvmc1.install    |    4 ++--
 rules               |    3 +++
 5 files changed, 15 insertions(+), 8 deletions(-)



Where is the problem? What prevents the release team allowing this upload for Wheezy?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#640499; Package libxvmc. (Fri, 07 Dec 2012 06:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 07 Dec 2012 06:57:08 GMT) Full text and rfc822 format available.

Message #204 received at 640499@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Carlos Alberto Lopez Perez <clopez@igalia.com>, 640499@bugs.debian.org
Cc: Julien Cristau <jcristau@debian.org>
Subject: Re: Bug#640499: libxvmc: please add multiarch support
Date: Fri, 07 Dec 2012 07:51:19 +0100
On 2012-12-07 00:43, Carlos Alberto Lopez Perez wrote:
> MultiArch support is a release goal, and the fix for this bug is clearly not invasive nor big:
> 
> $ curl -s 'http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=5;filename=0001-build-for-multiarch.patch;att=1;bug=640499' | diffstat
>  5 files changed, 15 insertions(+), 8 deletions(-)
> 
> Where is the problem? What prevents the release team allowing this upload for Wheezy?

There is a solution that only involves changes to
nvidia-graphics-drivers, waiting for approval:

splitting libxvmcnvidia1 from libgl1-nvidia-glx:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=688953

new upstream stable branch release
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=688698


Andreas



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#640499; Package libxvmc. (Fri, 07 Dec 2012 09:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 07 Dec 2012 09:51:03 GMT) Full text and rfc822 format available.

Message #209 received at 640499@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Carlos Alberto Lopez Perez <clopez@igalia.com>, 640499@bugs.debian.org
Subject: Re: Bug#640499: libxvmc: please add multiarch support
Date: Fri, 7 Dec 2012 10:48:23 +0100
[Message part 1 (text/plain, inline)]
On Fri, Dec  7, 2012 at 00:43:55 +0100, Carlos Alberto Lopez Perez wrote:

> MultiArch support is a release goal, and the fix for this bug is
> clearly not invasive nor big:
> 
The release goal was to get rid of ia32-libs.  Which is now done.
Anything beyond that can, and will, wait for jessie.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#640499; Package libxvmc. (Sun, 16 Dec 2012 18:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ryan VanderPlas <ryan.vanderplas@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 16 Dec 2012 18:54:03 GMT) Full text and rfc822 format available.

Message #214 received at 640499@bugs.debian.org (full text, mbox):

From: Ryan VanderPlas <ryan.vanderplas@gmail.com>
To: 640499@bugs.debian.org
Subject: Bug prevents Steam on Wheezy
Date: Sun, 16 Dec 2012 12:51:47 -0600
[Message part 1 (text/plain, inline)]
Working on getting steam running on wheezy 64bit with Nvidia drivers.

Some fairly simple items are needed to make it work which can be fixed in
future steam updates. However, libgl1-nvidia-glx:i386 is needed to run the
program which requires libxvmc1:i386. Sébastien's patched libraries work
and allow steam to run. This was done on a clean install.

IMHO, this patch needs to be added. Steam is going open beta in the week
ahead and even though its 'for Ubuntu', there are going to be a lot of
people who try to get steam running on their Debian boxes.
[Message part 2 (text/html, inline)]

Changed Bug submitter to 'Andreas Beckmann <anbe@debian.org>' from 'Andreas Beckmann <debian@abeckmann.de>' Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Sat, 26 Jan 2013 06:27:40 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#640499; Package libxvmc. (Tue, 05 Mar 2013 05:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Wadge <cwadge@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Tue, 05 Mar 2013 05:45:07 GMT) Full text and rfc822 format available.

Message #221 received at 640499@bugs.debian.org (full text, mbox):

From: Chris Wadge <cwadge@gmail.com>
To: 640499@bugs.debian.org
Subject: Bug#640499: libxvmc: please add multiarch support
Date: Mon, 04 Mar 2013 21:43:42 -0800
Once i386 libraries are installed, I've found that NVidia's own 
installation scripts do an adequate job of providing the necessary 
32-bit GL libraries. This enables the expected 3D behavior one would 
expect from 32-bit WINE installations, including via PlayOnLinux. Not to 
say that this bug should not be addressed, but rather that those who 
manage their proprietary NVidia drivers outside of distro-provided 
packages should be able to use WINE normally.

For those interested, it's worth noting that the SMXI/SGFXI scripts are 
a simple way to manage proprietary drivers on Debian without much menial 
work.

All the best,
-Chris



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#640499; Package libxvmc. (Wed, 29 May 2013 11:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Laurent Bigonville <bigon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 29 May 2013 11:18:05 GMT) Full text and rfc822 format available.

Message #226 received at 640499@bugs.debian.org (full text, mbox):

From: Laurent Bigonville <bigon@debian.org>
To: Debian Bug Tracking System <640499@bugs.debian.org>
Subject: Re: libxvmc: please add multiarch support
Date: Wed, 29 May 2013 13:14:58 +0200
Package: libxvmc
Followup-For: Bug #640499

Dear maintainers,

Now that the wheezy has been released, could you please consider
applying the patch(es) provided in the bug.

Or if you don't have the time, do you want me to have a loot at this?

Kind regards

Laurent Bigonville

-- System Information:
Debian Release: jessie/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.8-2-amd64 (SMP w/8 CPU cores)
Locale: LANG=fr_BE.utf8, LC_CTYPE=fr_BE.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash



Reply sent to Emilio Pozuelo Monfort <pochu@debian.org>:
You have taken responsibility. (Sun, 09 Jun 2013 00:51:07 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <anbe@debian.org>:
Bug acknowledged by developer. (Sun, 09 Jun 2013 00:51:07 GMT) Full text and rfc822 format available.

Message #231 received at 640499-close@bugs.debian.org (full text, mbox):

From: Emilio Pozuelo Monfort <pochu@debian.org>
To: 640499-close@bugs.debian.org
Subject: Bug#640499: fixed in libxvmc 2:1.0.7-2
Date: Sun, 09 Jun 2013 00:48:12 +0000
Source: libxvmc
Source-Version: 2:1.0.7-2

We believe that the bug you reported is fixed in the latest version of
libxvmc, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 640499@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Emilio Pozuelo Monfort <pochu@debian.org> (supplier of updated libxvmc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 09 Jun 2013 02:32:16 +0200
Source: libxvmc
Binary: libxvmc1 libxvmc1-dbg libxvmc-dev
Architecture: source amd64
Version: 2:1.0.7-2
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Emilio Pozuelo Monfort <pochu@debian.org>
Description: 
 libxvmc-dev - X11 Video extension library (development headers)
 libxvmc1   - X11 Video extension library
 libxvmc1-dbg - X11 Video extension library (debug package)
Closes: 640499
Changes: 
 libxvmc (2:1.0.7-2) unstable; urgency=low
 .
   * Team upload.
 .
   * Switch to Multi-Arch. Thanks Andreas Beckmann for the patch.
     Closes: #640499.
   * Bump Standards-Version to 3.9.4. No changes needed.
Checksums-Sha1: 
 18b2a0854bb7aa6c0c1f7ed777592e3390744429 1463 libxvmc_1.0.7-2.dsc
 b9bd317f14a94038de471c89af906663a356252b 15804 libxvmc_1.0.7-2.diff.gz
 def45dbf2f616f0e1b004dd3d6632398bed017bf 23912 libxvmc1_1.0.7-2_amd64.deb
 134e0e45bcaec05411fc54f80f0a5befc215231c 51224 libxvmc1-dbg_1.0.7-2_amd64.deb
 eaa222b16dfcab0fb90ef9f2cf6c1be0f5a99e19 33202 libxvmc-dev_1.0.7-2_amd64.deb
Checksums-Sha256: 
 21ede8be98ae89dcaa7c664e73b49fe6bc17eeda9ab5db5780fc4bc6c39ebe82 1463 libxvmc_1.0.7-2.dsc
 5a735803819724f46f0c202015379c58152c8adf1994c85d3035c701b73a8994 15804 libxvmc_1.0.7-2.diff.gz
 727315d925fb077f714c316196ed2191a7c294a08ff49246e743d32beefabbc1 23912 libxvmc1_1.0.7-2_amd64.deb
 8842a141425393ea32cb0fbbedd4ef4fc2aa169d6ecf65324ca63ceee91f9fb2 51224 libxvmc1-dbg_1.0.7-2_amd64.deb
 bb9c8b29f38051ab5ea783db3d1cc7ebd5db1bd146814a22bc8a42869aebb078 33202 libxvmc-dev_1.0.7-2_amd64.deb
Files: 
 431e35ede5514489a3dbc4b4d471087e 1463 x11 optional libxvmc_1.0.7-2.dsc
 e98c1e376be535b1ad82fa2b6e2e3787 15804 x11 optional libxvmc_1.0.7-2.diff.gz
 4a4bdd1b682b3e375c590c947128d66b 23912 libs optional libxvmc1_1.0.7-2_amd64.deb
 c2eb73b2640c0271a2ca6ec70121908e 51224 debug extra libxvmc1-dbg_1.0.7-2_amd64.deb
 5124ae70499548f0d4a2ae3d47d42597 33202 libdevel optional libxvmc-dev_1.0.7-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlGzzhcACgkQhTV17EoIsv6xxACdF9msghYersfTrais730fmhiw
ejsAoNT/TeHm8Rk7i0Vpl+MI+iHP3qog
=FvJ7
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 17 Jul 2013 07:40:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:43:02 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.